import { Moment } from 'moment';

export class JsonFeedItem {
  constructor(author: string, authorAvatar: string, content_html: string, date_published: string, truncated: boolean) {
    this.author = author;
    this.authorAvatar = authorAvatar;
    this.content_html = content_html;
    this.date_published = date_published;
    this.truncated = truncated;
  }
  author: string;
  authorAvatar: string;
  content_html: string;
  date_published: string;
  truncated: boolean;
}

export class JsonTopic {
  constructor(
    archived: boolean,
    createdAt: Moment,
    updatedAt: Moment,
    author: string,
    authorAvatar: string,
    fancyTitle: string,
    tags: unknown[],
    feedItem: JsonFeedItem,
    feedUrl: string
  ) {
    this.archived = archived;
    this.createdAt = createdAt;
    this.updatedAt = updatedAt;
    this.author = author;
    this.authorAvatar = authorAvatar;
    this.fancyTitle = fancyTitle;
    this.tags = tags;
    this.feedItem = feedItem;
    this.feedUrl = feedUrl;
  }
  feedItem: JsonFeedItem;
  archived: boolean;
  createdAt: Moment;
  updatedAt: Moment;
  author: string;
  authorAvatar: string;
  fancyTitle: string;
  tags: unknown[];
  feedUrl: string;
}

export interface Topic {
  id: number;
  title: string;
  fancy_title: string;
  slug: string;
  posts_count: number;
  reply_count: number;
  highest_post_number: number;
  image_url: string | null;
  created_at: string;
  last_posted_at: string;
  bumped: boolean;
  bumped_at: string;
  archetype: string;
  unseen: boolean;
  pinned: boolean;
  unpinned: string | null;
  excerpt: string;
  visible: boolean;
  closed: boolean;
  archived: boolean;
  bookmarked: string | null;
  liked: string | null;
  views: number;
  like_count: number;
  has_summary: boolean;
  last_poster_username: string;
  category_id: number;
  pinned_globally: boolean;
  featured_link: string | null;
  tags: string[];
  posters: {
    extras: string;
    description: string;
    user_id: number;
    primary_group_id: number | null;
  }[];
}
