import { PropertiesMap, Property } from '../shared/types';
import { InjectionToken } from '@angular/core';
import moment, { Moment } from 'moment';
import DurationConstructor = moment.unitOfTime.DurationConstructor;

export declare interface LocaleConfig extends Property {
  country?: string;
}

export const APP_LOCALES = new InjectionToken<LocaleConfig[]>('locales');

export type CurrencyDisplayUnit = 'base' | 'du';

export interface PeriodOption {
  key: DurationConstructor;
  i18nKey: string;
}

export interface Settings {
  peer: string;
  currency?: string;
  preferredPeers?: string[];
  indexer: string;
  preferredIndexers?: string[];
  pod: string;
  preferredPods?: string[];
  ipfsGateway: string;
  preferredIpfsGateways?: string[];
  distanceFileUrl?: string;
  preferredDistanceFileUrls?: string[];
  pages?: any; // Any pages settings
  locale?: string;
  mobile?: boolean;
  properties?: PropertiesMap;
  hasPassword: boolean;
  unAuthDelayMs?: number;
  darkMode: boolean;
  displayUnit: CurrencyDisplayUnit;
  selectedRedeemPeriod?: DurationConstructor;
  lastRedeemDate: Moment;
  expertMode: boolean;
}
