import { AfterContentInit, Directive, ElementRef, EventEmitter, Output } from '@angular/core';

@Directive({
  selector: '[translatedHelp]',
})
export class TranslatedHelpDirective implements AfterContentInit {
  @Output() helpRequest = new EventEmitter<string>();

  constructor(private el: ElementRef) {}

  ngAfterContentInit() {
    // setTimeout(() => this.setupLinks(), 1000);
    setTimeout(() => this.setupLinks(), 100);
  }

  private setupLinks() {
    const element = this.el.nativeElement;
    const helpLinks = element.querySelectorAll('a[data-help-topic]');
    helpLinks.forEach((link: HTMLElement) => {
      link.style.cursor = 'pointer';
      link.addEventListener('click', (event: Event) => {
        event.preventDefault();
        const topic = link.getAttribute('data-help-topic');
        if (topic) {
          this.helpRequest.emit(topic);
        }
      });
    });
  }
}
